Index: doc/latex/ekf__obj_8h__incl.eps
===================================================================
--- doc/latex/ekf__obj_8h__incl.eps (revision 210)
+++ doc/latex/ekf__obj_8h__incl.eps (revision 261)
@@ -180,578 +180,511 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 625 356
+%%PageBoundingBox: 36 36 577 414
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 589 320 boxprim clip newpath
+36 36 541 378 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 138 290 moveto
-138 311 lineto
-454 311 lineto
-454 290 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 138 290 moveto
-138 311 lineto
-454 311 lineto
-454 290 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-146 297.5 moveto 300 (work/git/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+newpath 254 348 moveto
+254 369 lineto
+313 369 lineto
+313 348 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 254 348 moveto
+254 369 lineto
+313 369 lineto
+313 348 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+261.5 355.5 moveto 43 (ekf_obj.h) alignedtext
 grestore
 % Node2
 gsave
-0.000 0.000 1.000 nodecolor
-newpath 139 0 moveto
-139 21 lineto
-214 21 lineto
-214 0 lineto
+[ /Rect [ 97 291 171 311 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 97 290 moveto
+97 311 lineto
+172 311 lineto
+172 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 97 290 moveto
+97 311 lineto
+172 311 lineto
+172 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+104.5 297.5 moveto 59 (estim/libKF.h) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 255 348 moveto
+230 338 195 325 169 315 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 170.56 311.86 moveto
+160 311 lineto
+167.72 318.26 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 170.56 311.86 moveto
+160 311 lineto
+167.72 318.26 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 189 291 237 311 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($fixed_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 189 290 moveto
+189 311 lineto
+237 311 lineto
+237 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 189 290 moveto
+189 311 lineto
+237 311 lineto
+237 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+197 297.5 moveto 32 (fixed.h) alignedtext
+grestore
+% Node1->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 270 348 moveto
+260 339 245 327 233 317 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 235.1 314.2 moveto
+225 311 lineto
+230.9 319.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 235.1 314.2 moveto
+225 311 lineto
+230.9 319.8 lineto
+closepath stroke
+grestore
+% Node11
+gsave
+[ /Rect [ 255 291 311 311 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($matrix_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 255 290 moveto
+255 311 lineto
+311 311 lineto
+311 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 255 290 moveto
+255 311 lineto
+311 311 lineto
+311 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+263 297.5 moveto 40 (matrix.h) alignedtext
+grestore
+% Node1->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 283 348 moveto
+283 340 283 330 283 321 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 286.5 321 moveto
+283 311 lineto
+279.5 321 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 286.5 321 moveto
+283 311 lineto
+279.5 321 lineto
+closepath stroke
+grestore
+% Node12
+gsave
+[ /Rect [ 329 291 399 311 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($reference_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 329 290 moveto
+329 311 lineto
+400 311 lineto
+400 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 329 290 moveto
+329 311 lineto
+400 311 lineto
+400 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+336.5 297.5 moveto 55 (reference.h) alignedtext
+grestore
+% Node1->Node12
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 299 348 moveto
+311 339 328 327 342 317 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 344.1 319.8 moveto
+350 311 lineto
+339.9 314.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 344.1 319.8 moveto
+350 311 lineto
+339.9 314.2 lineto
+closepath stroke
+grestore
+% Node13
+gsave
+[ /Rect [ 417 291 533 311 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($parametry__motoru_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 417 290 moveto
+417 311 lineto
+533 311 lineto
+533 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 417 290 moveto
+417 311 lineto
+533 311 lineto
+533 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+425 297.5 moveto 100 (parametry_motoru.h) alignedtext
+grestore
+% Node1->Node13
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 313 350 moveto
+345 340 396 325 432 314 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 433.43 317.23 moveto
+442 311 lineto
+431.42 310.52 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 433.43 317.23 moveto
+442 311 lineto
+431.42 310.52 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 0 233 78 253 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 232 moveto
+0 253 lineto
+79 253 lineto
+79 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 232 moveto
+0 253 lineto
+79 253 lineto
+79 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 239.5 moveto 63 (../stat/libFN.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 116 290 moveto
+101 281 80 268 64 258 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 65.44 254.8 moveto
+55 253 lineto
+62.04 260.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 65.44 254.8 moveto
+55 253 lineto
+62.04 260.92 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 96 233 172 253 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 96 232 moveto
+96 253 lineto
+172 253 lineto
+172 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 96 232 moveto
+96 253 lineto
+172 253 lineto
+172 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+104 239.5 moveto 60 (../stat/libEF.h) alignedtext
+grestore
+% Node2->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134 290 moveto
+134 282 134 272 134 263 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 137.5 263 moveto
+134 253 lineto
+130.5 263 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 137.5 263 moveto
+134 253 lineto
+130.5 263 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 154 175 246 195 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 154 174 moveto
+154 195 lineto
+247 195 lineto
+247 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 154 174 moveto
+154 195 lineto
+247 195 lineto
+247 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+161.5 181.5 moveto 77 (../math/chmat.h) alignedtext
+grestore
+% Node2->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 148 290 moveto
+159 281 173 268 181 254 curveto
+189 239 194 219 197 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 200.47 205.49 moveto
+199 195 lineto
+193.61 204.12 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 200.47 205.49 moveto
+199 195 lineto
+193.61 204.12 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 39 175 89 195 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libBM_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 39 174 moveto
+39 195 lineto
+90 195 lineto
+90 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 39 174 moveto
+39 195 lineto
+90 195 lineto
+90 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+46.5 181.5 moveto 35 (libBM.h) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 44 232 moveto
+47 224 51 213 56 204 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 59.14 205.56 moveto
+60 195 lineto
+52.74 202.72 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 59.14 205.56 moveto
+60 195 lineto
+52.74 202.72 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 63 59 135 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 63 58 moveto
+63 79 lineto
+135 79 lineto
+135 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 63 58 moveto
+63 79 lineto
+135 79 lineto
+135 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+71 65.5 moveto 56 (../itpp_ext.h) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 67 174 moveto
+70 160 76 136 83 116 curveto
+86 107 89 97 92 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 95.48 89.58 moveto
+95 79 lineto
+88.77 87.57 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 95.48 89.58 moveto
+95 79 lineto
+88.77 87.57 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 62 0 moveto
+62 21 lineto
+137 21 lineto
+137 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 139 0 moveto
-139 21 lineto
-214 21 lineto
-214 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-146.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
-grestore
-% Node1->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 236 290 moveto
-150 272 1 235 0 185 curveto
-0 185 0 185 0 127 curveto
-1 65 77 34 129 20 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 129.88 23.39 moveto
-139 18 lineto
-128.51 16.53 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 129.88 23.39 moveto
-139 18 lineto
-128.51 16.53 lineto
-closepath stroke
-grestore
-% Node3
-gsave
-[ /Rect [ 145 233 219 253 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 145 232 moveto
-145 253 lineto
-220 253 lineto
-220 232 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 145 232 moveto
-145 253 lineto
-220 253 lineto
-220 232 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-152.5 239.5 moveto 59 (estim/libKF.h) alignedtext
-grestore
-% Node1->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 274 290 moveto
-256 281 231 267 211 258 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 212.44 254.8 moveto
-202 253 lineto
-209.04 260.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 212.44 254.8 moveto
-202 253 lineto
-209.04 260.92 lineto
-closepath stroke
-grestore
-% Node10
-gsave
-[ /Rect [ 237 233 285 253 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($fixed_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 237 232 moveto
-237 253 lineto
-285 253 lineto
-285 232 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 237 232 moveto
-237 253 lineto
-285 253 lineto
-285 232 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-245 239.5 moveto 32 (fixed.h) alignedtext
-grestore
-% Node1->Node10
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 289 290 moveto
-285 282 278 271 272 262 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 274.92 260.04 moveto
-267 253 lineto
-268.8 263.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 274.92 260.04 moveto
-267 253 lineto
-268.8 263.44 lineto
-closepath stroke
-grestore
-% Node11
-gsave
-[ /Rect [ 303 233 359 253 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($matrix_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 303 232 moveto
-303 253 lineto
-359 253 lineto
-359 232 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 303 232 moveto
-303 253 lineto
-359 253 lineto
-359 232 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-311 239.5 moveto 40 (matrix.h) alignedtext
-grestore
-% Node1->Node11
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 303 290 moveto
-307 282 314 271 320 262 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 323.2 263.44 moveto
-325 253 lineto
-317.08 260.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 323.2 263.44 moveto
-325 253 lineto
-317.08 260.04 lineto
-closepath stroke
-grestore
-% Node12
-gsave
-[ /Rect [ 377 233 447 253 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($reference_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 377 232 moveto
-377 253 lineto
-448 253 lineto
-448 232 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 377 232 moveto
-377 253 lineto
-448 253 lineto
-448 232 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-384.5 239.5 moveto 55 (reference.h) alignedtext
-grestore
-% Node1->Node12
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 318 290 moveto
-337 281 363 267 383 257 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 384.28 260.26 moveto
-392 253 lineto
-381.44 253.86 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 384.28 260.26 moveto
-392 253 lineto
-381.44 253.86 lineto
-closepath stroke
-grestore
-% Node13
-gsave
-[ /Rect [ 465 233 581 253 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($parametry__motoru_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 465 232 moveto
-465 253 lineto
-581 253 lineto
-581 232 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 465 232 moveto
-465 253 lineto
-581 253 lineto
-581 232 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-473 239.5 moveto 100 (parametry_motoru.h) alignedtext
-grestore
-% Node1->Node13
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 339 290 moveto
-378 280 434 265 474 255 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 474.88 258.39 moveto
-484 253 lineto
-473.51 251.53 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 474.88 258.39 moveto
-484 253 lineto
-473.51 251.53 lineto
-closepath stroke
-grestore
-% Node3->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 220 233 moveto
-271 221 356 199 359 196 curveto
-399 143 351 100 301 58 curveto
-279 39 249 28 224 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 224.58 17.52 moveto
-214 18 lineto
-222.57 24.23 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 224.58 17.52 moveto
-214 18 lineto
-222.57 24.23 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 48 175 126 195 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 48 174 moveto
-48 195 lineto
-127 195 lineto
-127 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 48 174 moveto
-48 195 lineto
-127 195 lineto
-127 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-55.5 181.5 moveto 63 (../stat/libFN.h) alignedtext
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 164 232 moveto
-149 223 128 210 112 200 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 113.44 196.8 moveto
-103 195 lineto
-110.04 202.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 113.44 196.8 moveto
-103 195 lineto
-110.04 202.92 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 144 175 220 195 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 144 174 moveto
-144 195 lineto
-220 195 lineto
-220 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 144 174 moveto
-144 195 lineto
-220 195 lineto
-220 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-152 181.5 moveto 60 (../stat/libEF.h) alignedtext
-grestore
-% Node3->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 182 232 moveto
-182 224 182 214 182 205 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 185.5 205 moveto
-182 195 lineto
-178.5 205 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 185.5 205 moveto
-182 195 lineto
-178.5 205 lineto
-closepath stroke
-grestore
-% Node9
-gsave
-[ /Rect [ 258 175 350 195 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 258 174 moveto
-258 195 lineto
-351 195 lineto
-351 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 258 174 moveto
-258 195 lineto
-351 195 lineto
-351 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-265.5 181.5 moveto 77 (../math/chmat.h) alignedtext
-grestore
-% Node3->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 205 232 moveto
-225 222 252 209 274 199 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 275.28 202.26 moveto
-283 195 lineto
-272.44 195.86 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 275.28 202.26 moveto
-283 195 lineto
-272.44 195.86 lineto
-closepath stroke
-grestore
-% Node4->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 76 174 moveto
-65 160 49 137 57 116 curveto
-72 74 117 43 146 26 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 147.96 28.92 moveto
-155 21 lineto
-144.56 22.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 147.96 28.92 moveto
-155 21 lineto
-144.56 22.8 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 66 117 116 137 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libBM_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 66 116 moveto
-66 137 lineto
-117 137 lineto
-117 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 66 116 moveto
-66 137 lineto
-117 137 lineto
-117 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-73.5 123.5 moveto 35 (libBM.h) alignedtext
-grestore
-% Node4->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 88 174 moveto
-89 166 89 156 90 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 93.5 147 moveto
-90 137 lineto
-86.5 147 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 93.5 147 moveto
-90 137 lineto
-86.5 147 lineto
-closepath stroke
-grestore
-% Node5->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 96 116 moveto
-103 101 115 77 130 58 curveto
-138 47 148 36 157 28 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 159.4 30.55 moveto
-164 21 lineto
-154.45 25.6 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 159.4 30.55 moveto
-164 21 lineto
-154.45 25.6 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 172 59 244 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 172 58 moveto
-172 79 lineto
-244 79 lineto
-244 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 172 58 moveto
-172 79 lineto
-244 79 lineto
-244 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-180 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 62 0 moveto
+62 21 lineto
+137 21 lineto
+137 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+69.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node5->Node6
@@ -760,108 +693,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 113 116 moveto
-132 107 158 93 179 83 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 180.28 86.26 moveto
-188 79 lineto
-177.44 79.86 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 180.28 86.26 moveto
-188 79 lineto
-177.44 79.86 lineto
-closepath stroke
-grestore
-% Node6->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 202 58 moveto
-198 50 192 39 187 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 189.92 28.04 moveto
-182 21 lineto
-183.8 31.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 189.92 28.04 moveto
-182 21 lineto
-183.8 31.44 lineto
-closepath stroke
-grestore
-% Node7->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 178 174 moveto
-171 151 157 100 163 58 curveto
-164 49 166 39 169 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 172.48 31.58 moveto
-172 21 lineto
-165.77 29.57 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 172.48 31.58 moveto
-172 21 lineto
-165.77 29.57 lineto
-closepath stroke
-grestore
-% Node7->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 164 174 moveto
-151 165 131 152 116 142 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 117.44 138.8 moveto
-107 137 lineto
-114.04 144.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 117.44 138.8 moveto
-107 137 lineto
-114.04 144.92 lineto
-closepath stroke
-grestore
-% Node7->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 184 174 moveto
-188 155 198 114 204 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 207.47 89.49 moveto
-206 79 lineto
-200.61 88.12 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 207.47 89.49 moveto
-206 79 lineto
-200.61 88.12 lineto
+newpath 99 58 moveto
+99 50 99 40 99 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 102.5 31 moveto
+99 21 lineto
+95.5 31 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 102.5 31 moveto
+99 21 lineto
+95.5 31 lineto
+closepath stroke
+grestore
+% Node7->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 121 232 moveto
+111 223 96 211 84 201 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 86.1 198.2 moveto
+76 195 lineto
+81.9 203.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 86.1 198.2 moveto
+76 195 lineto
+81.9 203.8 lineto
 closepath stroke
 grestore
 % Node8
 gsave
-[ /Rect [ 210 117 296 137 ]
+[ /Rect [ 92 117 178 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -869,20 +738,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 210 116 moveto
-210 137 lineto
-297 137 lineto
-297 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 210 116 moveto
-210 137 lineto
-297 137 lineto
-297 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-217.5 123.5 moveto 71 (../math/libDC.h) alignedtext
+newpath 92 116 moveto
+92 137 lineto
+179 137 lineto
+179 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 92 116 moveto
+92 137 lineto
+179 137 lineto
+179 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+99.5 123.5 moveto 71 (../math/libDC.h) alignedtext
 grestore
 % Node7->Node8
@@ -891,105 +760,60 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 196 174 moveto
-207 165 221 153 233 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 235.1 145.8 moveto
-241 137 lineto
-230.9 140.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 235.1 145.8 moveto
-241 137 lineto
-230.9 140.2 lineto
-closepath stroke
-grestore
-% Node8->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 256 116 moveto
-259 101 263 76 253 58 curveto
-245 43 230 33 215 25 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 216.56 21.86 moveto
-206 21 lineto
-213.72 28.26 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 216.56 21.86 moveto
-206 21 lineto
-213.72 28.26 lineto
-closepath stroke
-grestore
-% Node8->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 244 116 moveto
-238 108 229 96 222 87 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 224.8 84.9 moveto
-216 79 lineto
-219.2 89.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 224.8 84.9 moveto
-216 79 lineto
-219.2 89.1 lineto
-closepath stroke
-grestore
-% Node9->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 311 174 moveto
-318 160 328 135 321 116 curveto
-303 69 251 40 215 25 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 216.56 21.86 moveto
-206 21 lineto
-213.72 28.26 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 216.56 21.86 moveto
-206 21 lineto
-213.72 28.26 lineto
-closepath stroke
-grestore
-% Node9->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 308 174 moveto
-311 159 316 133 305 116 curveto
-293 98 273 87 254 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 254.58 75.52 moveto
-244 76 lineto
-252.57 82.23 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 254.58 75.52 moveto
-244 76 lineto
-252.57 82.23 lineto
+newpath 134 232 moveto
+134 213 135 172 135 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 138.5 147 moveto
+135 137 lineto
+131.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 138.5 147 moveto
+135 137 lineto
+131.5 147 lineto
+closepath stroke
+grestore
+% Node7->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 147 232 moveto
+157 223 170 211 181 202 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 183.78 204.22 moveto
+189 195 lineto
+179.17 198.95 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 183.78 204.22 moveto
+189 195 lineto
+179.17 198.95 lineto
+closepath stroke
+grestore
+% Node8->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 128 116 moveto
+124 108 117 97 111 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 113.8 84.9 moveto
+105 79 lineto
+108.2 89.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 113.8 84.9 moveto
+105 79 lineto
+108.2 89.1 lineto
 closepath stroke
 grestore
@@ -999,18 +823,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 294 174 moveto
-287 165 277 154 269 145 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 271.22 142.22 moveto
-262 137 lineto
-265.95 146.83 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 271.22 142.22 moveto
-262 137 lineto
-265.95 146.83 lineto
+newpath 187 174 moveto
+178 165 165 153 154 144 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 155.83 140.95 moveto
+146 137 lineto
+151.22 146.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 155.83 140.95 moveto
+146 137 lineto
+151.22 146.22 lineto
 closepath stroke
 grestore
@@ -1022,5 +846,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 625 356
+%%BoundingBox: 36 36 577 414
 end
 restore
